package com.hzya.frame.plugin.masterData.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 客户档案(MdmCustomer)实体类
 *
 * @author makejava
 * @since 2024-06-21 13:52:35
 */
public class MdmEntity extends BaseEntity {
 
  /**  单据规则 */
   private String documentRule;
  /**  单据规则流水号 */
   private Long documentRuleNum;
  /**  数据状态 Y正常 N删除 F修改 */
   private String dataStatus;
  /**  新增数据状态 0待下发 1已下发 */
   private String addStatus;
  /**  修改数据状态 0待下发 1已下发 */
   private String updateStatus;
  /**  删除数据状态 0待下发 1已下发 */
   private String deleteStatus;
  /**  公司id */
   private String companyId;
  /**  客户编码 */
   private String code;
  /**  客户类型 */
   private String custprop;
  /**  客户状态 */
   private String custstate;
  /**  启用状态 */
   private String enablestate;
  /**  客户名称 */
   private String name;
  /**  国家/地区 */
   private String pkCountry;
  /**  客户基本分类 */
   private String pkCustclass;
  /**  所属集团 */
   private String pkGroup;
  /**  所属组织 */
   private String pkOrg;
  /**  纳税人登记号 */
   private String taxpayerid;


    public String getDocumentRule() {
        return documentRule;
    }

    public void setDocumentRule(String documentRule) {
        this.documentRule = documentRule;
    }

    public Long getDocumentRuleNum() {
        return documentRuleNum;
    }

    public void setDocumentRuleNum(Long documentRuleNum) {
        this.documentRuleNum = documentRuleNum;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getAddStatus() {
        return addStatus;
    }

    public void setAddStatus(String addStatus) {
        this.addStatus = addStatus;
    }

    public String getUpdateStatus() {
        return updateStatus;
    }

    public void setUpdateStatus(String updateStatus) {
        this.updateStatus = updateStatus;
    }

    public String getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(String deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCustprop() {
        return custprop;
    }

    public void setCustprop(String custprop) {
        this.custprop = custprop;
    }

    public String getCuststate() {
        return custstate;
    }

    public void setCuststate(String custstate) {
        this.custstate = custstate;
    }

    public String getEnablestate() {
        return enablestate;
    }

    public void setEnablestate(String enablestate) {
        this.enablestate = enablestate;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPkCountry() {
        return pkCountry;
    }

    public void setPkCountry(String pkCountry) {
        this.pkCountry = pkCountry;
    }

    public String getPkCustclass() {
        return pkCustclass;
    }

    public void setPkCustclass(String pkCustclass) {
        this.pkCustclass = pkCustclass;
    }

    public String getPkGroup() {
        return pkGroup;
    }

    public void setPkGroup(String pkGroup) {
        this.pkGroup = pkGroup;
    }

    public String getPkOrg() {
        return pkOrg;
    }

    public void setPkOrg(String pkOrg) {
        this.pkOrg = pkOrg;
    }

    public String getTaxpayerid() {
        return taxpayerid;
    }

    public void setTaxpayerid(String taxpayerid) {
        this.taxpayerid = taxpayerid;
    }

}

